> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List matching configuration items



## OpenAPI

````yaml /api-reference/4.2/service-configurations.json get /configurations
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service configurations
servers:
  - url: /api/apollo/
security: []
tags:
  - name: configurations
paths:
  /configurations:
    get:
      tags:
        - 4.2 Configurations API
      summary: List matching configuration items
      operationId: find
      parameters:
        - name: pattern
          in: query
          description: Find all configuration items that contain the specified string
          required: false
          schema:
            type: string
        - name: prefix
          in: query
          description: Find all configuration items that start with the specified string
          required: false
          schema:
            type: string
        - name: verbose
          in: query
          description: >-
            Display the Fusion component (or the part of the server’s operating
            system) that set the configuration item. Otherwise, the output
            includes only the name and value of the configuration item
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: object

````